# m3e/rich_tooltip

RichTooltip is provides contextual details for a control, such as explaining the value or purpose of a feature.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Config

</>

Config is a public record for configuring this component.

    pub type Config {
      Config(
        disabled: Disabled,
        for: option.Option(String),
        hide_delay: Float,
        position: rich_tooltip_position.RichTooltipPosition,
        show_delay: Float,
        touch_gestures: tooltip_touch_gestures.TooltipTouchGestures,
      )
    }

### Constructors

-     Config(
        disabled: Disabled,
        for: option.Option(String),
        hide_delay: Float,
        position: rich_tooltip_position.RichTooltipPosition,
        show_delay: Float,
        touch_gestures: tooltip_touch_gestures.TooltipTouchGestures,
      )

## Disabled

</>

Disabled is whether the element is disabled.

    pub type Disabled {
      IsDisabled
      IsNotDisabled
    }

### Constructors

-     IsDisabled

-     IsNotDisabled

## RichTooltip

opaque </>

RichTooltip is a View Model for this component

## Fields:

- disabled: Whether the element is disabled.
- for: The identifier of the interactive control to which this element is attached.
- hide_delay: The amount of time, in milliseconds, before hiding the tooltip.
- position: The position of the tooltip.
- show_delay: The amount of time, in milliseconds, before showing the tooltip.
- touch_gestures: The mode in which to handle touch gestures.

    pub opaque type RichTooltip

## Slot

</>

Slots are used in child elements to insert content into this component

    pub type Slot {
      Subhead
      Actions
    }

### Constructors

-     Subhead

-     Actions

# Values

## default_config

</>

    pub fn default_config() -> Config

default_config is the default configuration for this component.

## default_disabled

</>

    pub const default_disabled: Disabled

## default_for

</>

    pub const default_for: option.Option(String)

## default_hide_delay

</>

    pub const default_hide_delay: Float

## default_position

</>

    pub const default_position: rich_tooltip_position.RichTooltipPosition

## default_show_delay

</>

    pub const default_show_delay: Float

## default_touch_gestures

</>

    pub const default_touch_gestures: tooltip_touch_gestures.TooltipTouchGestures

## disabled

</>

    pub fn disabled(
      record: RichTooltip,
      disabled: Disabled,
    ) -> RichTooltip

disabled sets the value of disabled for this RichTooltip.

## for

</>

    pub fn for(
      record: RichTooltip,
      for: option.Option(String),
    ) -> RichTooltip

for sets the value of for for this RichTooltip.

## from_config

</>

    pub fn from_config(config: Config) -> RichTooltip

from_config creates a new RichTooltip from the given configuration.

## hide_delay

</>

    pub fn hide_delay(
      record: RichTooltip,
      hide_delay: Float,
    ) -> RichTooltip

hide_delay sets the value of hide_delay for this RichTooltip.

## new

</>

    pub fn new() -> RichTooltip

new creates a new RichTooltip with the default configuration.

## position

</>

    pub fn position(
      record: RichTooltip,
      position: rich_tooltip_position.RichTooltipPosition,
    ) -> RichTooltip

position sets the value of position for this RichTooltip.

## render

</>

    pub fn render(
      model: RichTooltip,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a RichTooltip

## render_config

</>

    pub fn render_config(
      c: Config,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render_config creates a Lustre Element from a RichTooltip Config

## show_delay

</>

    pub fn show_delay(
      record: RichTooltip,
      show_delay: Float,
    ) -> RichTooltip

show_delay sets the value of show_delay for this RichTooltip.

## slot

</>

    pub fn slot(s: Slot) -> attribute.Attribute(msg)

slot returns a Lustre Attribute(msg) for the given slot name

## touch_gestures

</>

    pub fn touch_gestures(
      record: RichTooltip,
      touch_gestures: tooltip_touch_gestures.TooltipTouchGestures,
    ) -> RichTooltip

touch_gestures sets the value of touch_gestures for this RichTooltip.

✨